#include<stdio.h>
#include<conio.h>
#include<math.h>
int main()
{
	freopen("NUTS.in", "r", stdin);
	int T, N, M, K, i, result;
	scanf("%d", &T);
	for(i=0; i<T; i++)
	{
		scanf("%d %d %d", &N, &M, &K);
		result=N*M-K;
		if(result>=0)
		{
			printf("YES\n");
		}
		else
		{
			printf("NO\n");
		}
	}
	return 0;
}